# FdoRasterPropertyDefinition Class Reference

`#include <RasterPropertyDefinition.h>`

Inheritance diagram for FdoRasterPropertyDefinition:

[legend]

List of all members.

## Detailed Description

The FdoRasterPropertyDefinition has the information needed to create or completely describe a raster property. This class encapsulates the information necessary to insert a 'new' raster, in the absence of any other information, for the properties defined using this schema element.

Definition at line 36 of file RasterPropertyDefinition.h.

## Public Member Functions
virtual FDO_API FdoRasterDataModel * | GetDefaultDataModel ()
| Gets the default data model used by this raster property.
virtual FDO_API FdoInt32 | GetDefaultImageXSize ()
| Gets the default size of image file in the horizontal direction in pixels (number of columns).
virtual FDO_API FdoInt32 | GetDefaultImageYSize ()
| Gets the default size of an image file in the vertical direction in pixels (number of rows).
virtual FDO_API bool | GetNullable ()
| Returns a Boolean value that indicates if this property's value can be null.
virtual FDO_API FdoPropertyType | GetPropertyType ()
| FdoPropertyDefinition interface.
virtual FDO_API bool | GetReadOnly ()
| Attributes.
FDO_API FdoString * | GetSpatialContextAssociation ()
| Gets the Spatial Context name associated to this raster property.
virtual FDO_API void | SetDefaultDataModel (FdoRasterDataModel *datamodel)
| Sets the default data model used by this raster property. Allowed values are only those data models that are acceptable to the SupportsDataModel capability.
virtual FDO_API void | SetDefaultImageXSize (FdoInt32 size)
| Sets the default size of an image file in the horizontal direction in pixels (number of columns).
virtual FDO_API void | SetDefaultImageYSize (FdoInt32 size)
| Sets the default size of an image file in the vertical direction in pixels (number of rows).
virtual FDO_API void | SetNullable (bool value)
| Sets a Boolean value that indicates if this property's value can be null.
virtual FDO_API void | SetReadOnly (bool value)
| Sets a Boolean value that indicates if this property is read-only.
FDO_API void | SetSpatialContextAssociation (FdoString *spatialContextName)
| Spatial Context Support.
## Static Public Member Functions
static FDO_API FdoRasterPropertyDefinition * | Create (FdoString *name, FdoString *description, bool system=false)
| Constructs an instance of an FdoRasterPropertyDefinition using the specified arguments.
static FDO_API FdoRasterPropertyDefinition * | Create ()
| Constructs a default instance of an FdoRasterPropertyDefinition.
## Friends
class | FdoFeatureClass

The documentation for this class was generated from the following file:

- RasterPropertyDefinition.h